FreeMat

- Main Page
- Related Pages

vtkXMLPolyDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPolyDataWriter writes the VTK XML PolyData file format. One polygonal data input can be written into one file in any number of streamed pieces (if supported by the rest of the pipeline). The standard extension for this writer's file format is "vtp". This writer is also used to write a single piece of the parallel file format.

To create an instance of class vtkXMLPolyDataWriter, simply invoke its constructor as follows

      obj = vtkXMLPolyDataWriter

# Methods

The class vtkXMLPolyDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPolyDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPolyDataWriter = obj.NewInstance ()`
- `vtkXMLPolyDataWriter = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetDefaultFileExtension ()` - Get the default file extension for files written by this writer.